Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample Class Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >::Sample:
[legend]

## Public Types
typedef Sample | this_type

## Public Member Functions
| Sample (const Abc::TypedArraySample< TRAITS > &iVals, GeometryScope iScope)
| Sample (const Abc::TypedArraySample< TRAITS > &iVals, const Abc::UInt32ArraySample &iIndices, GeometryScope iScope)
void | setVals (const Abc::TypedArraySample< TRAITS > &iVals)
const Abc::TypedArraySample< TRAITS > & | getVals () const
void | setIndices (const Abc::UInt32ArraySample &iIndices)
const Abc::UInt32ArraySample & | getIndices () const
void | setScope (GeometryScope iScope)
GeometryScope | getScope () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes
Abc::TypedArraySample< TRAITS > | m_vals
Abc::UInt32ArraySample | m_indices
GeometryScope | m_scope

The documentation for this class was generated from the following file:

- AbcGeom/OGeomParam.h